package domain

type AlibabaWdkMarketingCouponQueryitemsActivitySkuQuery struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   分页参数     */
	Page *AlibabaWdkMarketingCouponQueryitemsBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   需要查询的商品skuCodes     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `
}

func (s *AlibabaWdkMarketingCouponQueryitemsActivitySkuQuery) SetActivityId(v int64) *AlibabaWdkMarketingCouponQueryitemsActivitySkuQuery {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsActivitySkuQuery) SetPage(v AlibabaWdkMarketingCouponQueryitemsBasePageQuery) *AlibabaWdkMarketingCouponQueryitemsActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsActivitySkuQuery) SetOutActId(v string) *AlibabaWdkMarketingCouponQueryitemsActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsActivitySkuQuery) SetSkuCodes(v []string) *AlibabaWdkMarketingCouponQueryitemsActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
